ADIG(1)

NAME
adig - print information collected from Domain Name System (DNS) servers

SYNOPSIS
adig [OPTION]... NAME...

DESCRIPTION

Send queries to DNS servers about NAME and print received information, where NAME is a valid DNS name (e.g. www.example.com, 1.2.3.10.in-addr.arpa).

This utility comes with the c-ares asynchronous resolver library.

OPTIONS

-c class
    Set the query class. Possible values for class are ANY, CHAOS, HS and IN (default).

-d  Print some extra debugging output.

-f flag
    Add a behavior control flag. Possible values for flag are
     igntc - ignore query truncation, return answer as-is instead of retrying
                 via tcp.
     noaliases - don't honor the HOSTALIASES environment variable,
     norecurse - don't query upstream servers recursively,
     primary - use the first server,
     stayopen - don't close the communication sockets, and
     usevc - always use TCP.

-h, -?
    Display this help and exit.

-s server
    Connect to specified DNS server, instead of the system's default one(s). Servers are tried in round-robin, if the previous one failed.

-t type
    Query records of specified type. Possible values for type are A (default), AAAA, ANY, AXFR, CNAME, HINFO, MX, NAPTR, NS, PTR, SOA, SRV, TXT, URI, CAA, SVCB, and HTTPS.

-T port
    Connect to the specified TCP port of DNS server.

-U port
    Connect to the specified UDP port of DNS server.

REPORTING BUGS
Report bugs to the c-ares mailing list:
https://lists.haxx.se/listinfo/c-ares

SEE ALSO

acountry(1), ahost(1).

COPYRIGHT
This utility is based on code/ideas contained in software written by Greg Hudson (ares) carrying the following notice:
Copyright 1998 by the Massachusetts Institute of Technology.
Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation, and that the name of M.I.T. not be used in advertising or publicity pertaining to distribution of the software without specific, written prior permission. M.I.T. makes no representations about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.
No further copyright claims are being made by the author(s) of this utility.